Open CASCADE Technology  7.5.0.beta
Public Member Functions
BRepLib_MakePolygon Class Reference

Class to build polygonal wires. More...

#include <BRepLib_MakePolygon.hxx>

Inheritance diagram for BRepLib_MakePolygon:
Inheritance graph
[legend]

Public Member Functions

 BRepLib_MakePolygon ()
 Creates an empty MakePolygon. More...
 
 BRepLib_MakePolygon (const gp_Pnt &P1, const gp_Pnt &P2)
 
 BRepLib_MakePolygon (const gp_Pnt &P1, const gp_Pnt &P2, const gp_Pnt &P3, const Standard_Boolean Close=Standard_False)
 
 BRepLib_MakePolygon (const gp_Pnt &P1, const gp_Pnt &P2, const gp_Pnt &P3, const gp_Pnt &P4, const Standard_Boolean Close=Standard_False)
 
 BRepLib_MakePolygon (const TopoDS_Vertex &V1, const TopoDS_Vertex &V2)
 
 BRepLib_MakePolygon (const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const TopoDS_Vertex &V3, const Standard_Boolean Close=Standard_False)
 
 BRepLib_MakePolygon (const TopoDS_Vertex &V1, const TopoDS_Vertex &V2, const TopoDS_Vertex &V3, const TopoDS_Vertex &V4, const Standard_Boolean Close=Standard_False)
 
void Add (const gp_Pnt &P)
 
void Add (const TopoDS_Vertex &V)
 
Standard_Boolean Added () const
 Returns True if the last vertex or point was succesfully added. More...
 
void Close ()
 
const TopoDS_VertexFirstVertex () const
 
const TopoDS_VertexLastVertex () const
 
const TopoDS_EdgeEdge () const
 Returns the last edge added to the polygon. More...
 
 operator TopoDS_Edge () const
 
const TopoDS_WireWire ()
 
 operator TopoDS_Wire ()
 
- Public Member Functions inherited from BRepLib_MakeShape
void Build ()
 This is called by Shape(). It does nothing but may be redefined. More...
 
const TopoDS_ShapeShape ()
 
 operator TopoDS_Shape ()
 
virtual BRepLib_ShapeModification FaceStatus (const TopoDS_Face &F) const
 returns the status of the Face after the shape creation. More...
 
virtual Standard_Boolean HasDescendants (const TopoDS_Face &F) const
 Returns True if the Face generates new topology. More...
 
virtual const TopTools_ListOfShapeDescendantFaces (const TopoDS_Face &F)
 returns the list of generated Faces. More...
 
virtual Standard_Integer NbSurfaces () const
 returns the number of surfaces after the shape creation. More...
 
virtual const TopTools_ListOfShapeNewFaces (const Standard_Integer I)
 Return the faces created for surface I. More...
 
virtual const TopTools_ListOfShapeFacesFromEdges (const TopoDS_Edge &E)
 returns a list of the created faces from the edge <E>. More...
 
- Public Member Functions inherited from BRepLib_Command
virtual ~BRepLib_Command ()
 
Standard_Boolean IsDone () const
 
void Check () const
 Raises NotDone if done is false. More...
 

Additional Inherited Members

- Protected Member Functions inherited from BRepLib_MakeShape
 BRepLib_MakeShape ()
 
- Protected Member Functions inherited from BRepLib_Command
 BRepLib_Command ()
 Set done to False. More...
 
void Done ()
 Set done to true. More...
 
void NotDone ()
 Set done to false. More...
 
- Protected Attributes inherited from BRepLib_MakeShape
TopoDS_Shape myShape
 
TopTools_ListOfShape myGenFaces
 
TopTools_ListOfShape myNewFaces
 
TopTools_ListOfShape myEdgFaces
 

Detailed Description

Class to build polygonal wires.

A polygonal wire may be build from

When a point or vertex is added to the polygon if it is identic to the previous point no edge is built. The method added can be used to test it.

Constructor & Destructor Documentation

◆ BRepLib_MakePolygon() [1/7]

BRepLib_MakePolygon::BRepLib_MakePolygon ( )

Creates an empty MakePolygon.

◆ BRepLib_MakePolygon() [2/7]

BRepLib_MakePolygon::BRepLib_MakePolygon ( const gp_Pnt P1,
const gp_Pnt P2 
)

◆ BRepLib_MakePolygon() [3/7]

BRepLib_MakePolygon::BRepLib_MakePolygon ( const gp_Pnt P1,
const gp_Pnt P2,
const gp_Pnt P3,
const Standard_Boolean  Close = Standard_False 
)

◆ BRepLib_MakePolygon() [4/7]

BRepLib_MakePolygon::BRepLib_MakePolygon ( const gp_Pnt P1,
const gp_Pnt P2,
const gp_Pnt P3,
const gp_Pnt P4,
const Standard_Boolean  Close = Standard_False 
)

◆ BRepLib_MakePolygon() [5/7]

BRepLib_MakePolygon::BRepLib_MakePolygon ( const TopoDS_Vertex V1,
const TopoDS_Vertex V2 
)

◆ BRepLib_MakePolygon() [6/7]

BRepLib_MakePolygon::BRepLib_MakePolygon ( const TopoDS_Vertex V1,
const TopoDS_Vertex V2,
const TopoDS_Vertex V3,
const Standard_Boolean  Close = Standard_False 
)

◆ BRepLib_MakePolygon() [7/7]

BRepLib_MakePolygon::BRepLib_MakePolygon ( const TopoDS_Vertex V1,
const TopoDS_Vertex V2,
const TopoDS_Vertex V3,
const TopoDS_Vertex V4,
const Standard_Boolean  Close = Standard_False 
)

Member Function Documentation

◆ Add() [1/2]

void BRepLib_MakePolygon::Add ( const gp_Pnt P)

◆ Add() [2/2]

void BRepLib_MakePolygon::Add ( const TopoDS_Vertex V)

◆ Added()

Standard_Boolean BRepLib_MakePolygon::Added ( ) const

Returns True if the last vertex or point was succesfully added.

◆ Close()

void BRepLib_MakePolygon::Close ( )

◆ Edge()

const TopoDS_Edge& BRepLib_MakePolygon::Edge ( ) const

Returns the last edge added to the polygon.

◆ FirstVertex()

const TopoDS_Vertex& BRepLib_MakePolygon::FirstVertex ( ) const

◆ LastVertex()

const TopoDS_Vertex& BRepLib_MakePolygon::LastVertex ( ) const

◆ operator TopoDS_Edge()

BRepLib_MakePolygon::operator TopoDS_Edge ( ) const

◆ operator TopoDS_Wire()

BRepLib_MakePolygon::operator TopoDS_Wire ( )

◆ Wire()

const TopoDS_Wire& BRepLib_MakePolygon::Wire ( )

The documentation for this class was generated from the following file: